## python2-pip 20.3.4%2Bdfsg

=== debian/control ===
Source: python2-pip
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carl Chenet <chaica@debian.org>,
           Stefano Rivera <stefanor@debian.org>
Homepage: https://pip.pypa.io/en/stable/
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python2,
               python-all,
               python-pkg-resources,
               python-setuptools (>= 44.0.0),
               python3,
               python3-setuptools,
               python3-wheel,
               python3-docutils,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python2-pip.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python2-pip
Rules-Requires-Root: no

Package: python-pip
Architecture: all
Depends: ca-certificates,
         python-setuptools,
         ${misc:Depends},
         ${python:Depends},
Recommends: build-essential,
            python2-dev (>= 3.2),
Description: Python 2.7 package installer
 pip is the Python package installer.  It integrates with virtualenv, doesn't
 do partial installs, can save package state for replaying, can install from
 non-egg sources, and can install from version control repositories.
 .
 This is the Python 2.7 version of the package, the last version of pip
 supporting Python 2.7.

Package: python2-pip-whl
Architecture: all
Depends: ca-certificates,
         ${misc:Depends},
Breaks: pypy3 (<< 7.3.7+dfsg-3~), python-pip-whl (<< 21)
Replaces: python-pip-whl (<< 21)
Multi-Arch: foreign
Description: Python 2.7 package installer (pip wheels)
 pip is the Python package installer.  It integrates with virtualenv, doesn't
 do partial installs, can save package state for replaying, can install from
 non-egg sources, and can install from version control repositories.
 .
 This is the support package for the PEP 427 wheel version of the package,
 required for using pip inside a virtual environment.
 .
 This is the Python 2.7 version of the package, the last version of pip
 supporting Python 2.7.
