## python2-pip 20.3.4+dfsg

=== debian/changelog ===
python2-pip (20.3.4+dfsg-4) unstable; urgency=medium

  * Drop watch file, we know we're the last Python 2 version of pip.
  * Drop Scott Kitterman from uploaders.
  * Patch: Support Debian pypy's PEP3147 patch in wheel installation.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Mar 2022 16:38:19 -0400

python2-pip (20.3.4+dfsg-3) unstable; urgency=medium

  * Source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Jan 2022 22:23:47 -0400

python2-pip (20.3.4+dfsg-2) unstable; urgency=medium

  * Provide only the pip wheel in python2-pip-whl. Closes: #1003573.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Jan 2022 13:31:05 -0400

python2-pip (20.3.4+dfsg-1) unstable; urgency=medium

  * New source package python2-pip, providing pip and wheels for Python 2
    implementations.
    - Rename binary packages to python-pip and python2-pip-whl.
  * Add myself to the copyright file.
  * Bump watch file version to 4.
  * Bump Standards-Version to 3.6.0, no changes needed.
  * Stop de-vendoring dependencies, on balance this has caused more trouble
    than it has saved.
    - Drop patches debundle, handle-unbundled-requests,
      wheel-and-pip-not-pip-wheels, debug-command-for-unbundled, no longer
      needed.
    - Patch: certifi-debian-ca-certificates, copied over from certifi source.
    - Document vendored modules copyright.
  * Re-enable "pip list --outdated" in autopkgtest.
  * Exclude distlib Windows .exe locators from the source package.
    - Drop lintian override for these.
  * Bump debhelper compat level to 13.
  * Declare Breaks pypy3 (<< 7.3.7+dfsg-3~), which expects a single wheel for
    each package (it doesn't parse the tags).
  * Declare Breaks+Replaces on python-pip-whl (<< 21), which used to provide
    the same wheels.
  * Use a version of world compatible with Python 2.7 in autopgktests.
  * Allow stderr in all autopkgtests, for Python 2.7 deprecation warning.
  * Don't provide a /usr/bin/pip binary.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 06 Jan 2022 22:14:55 -0400

python-pip (20.3.4-4) unstable; urgency=medium

  * No-change upload against distlib 0.3.2+really+0.3.1-0.1.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 01 Jul 2021 16:44:29 -0400

python-pip (20.3.4-3) unstable; urgency=medium

  * Modify hands-off-system-packages.patch to act correctly under PyPy3, which
    shares dist-packages with cPython, but has a different sys.prefix.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 Jun 2021 12:20:17 -0400

python-pip (20.3.4-2) unstable; urgency=medium

  * Add myself to uploaders.
  * Mark autopkgtests that use PyPI as needs-internet.
  * Mark autopkgtests that use PyPI as allow-stderr. Retried http requests,
    common in Ubuntu CI, will result in logging to stderr. set -e to catch
    real errors.
  * Security: Don't split git references on unicode separators.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 May 2021 08:39:26 -0400

python-pip (20.3.4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team Upload.
  * New upstream release.
   - Refresh patches.
   - Pin python3-resolvelib Build-Depends (>= 0.5.4).
  * Remove Barry Warsaw from uploaders. Thanks for the years of maintenance.
    (Closes: #970163)
  * Bump copyright years.
  * Drop python-lockfile B-D and wheel, not needed since 19.3.
  * Patch: str() Versions, to avoid a failed type comparison due to bundling
    in setuptools.
  * Autopkgtests: Declare breaks-testbed in pip3-root.sh.

  [ Scott Kitterman ]
  * Include vendor.txt in binary to support debug command (See #961540)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Mar 2021 13:03:20 -0800

python-pip (20.1.1-2) unstable; urgency=medium

  * Delete long unused debian/pip.dependencies file
  * Add debian/patches/debian-python2.7-sysconfig-workaround.patch so that
    editable installs work with python2.7 (pypa/pip/issues/5193)
    - Thanks to Stéphane Bidoul for the patch
  * Add debian/patches/debug-command-for-unbundled.patch so that pip debug
    not only doesn't fail due to unbundling, it provides useful information
    (Closes: #961540)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 May 2020 20:44:50 -0400

python-pip (20.1.1-1) unstable; urgency=medium

  * Ship /usr/bin/pip in python3-pip since it is no longer provided elsewhere
  * Add lintian override for python3-pip depending on python-pip-whl
  * Update python-pip-whl short description to be different than python3-pip
  * Update debian/copyright
  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 May 2020 01:31:23 -0400

python-pip (20.1-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team Upload.

  [ Scott Kitterman ]
  * Update debundle.patch so pypy uses base_prefix as well
  * Update README.debian so it is no longer three releases out of date
  * Add debian/patches/wheel-and-pip-not-pip-wheels.patch to keep the wheel
    and pip wheels we install in /usr/share/python-wheels from fooling pip
    into thinking things are available that are not (Closes: #959997)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 May 2020 23:16:13 -0700

python-pip (20.1-1) unstable; urgency=medium

  * New upstream release (Closes: #958396)
    - Delete debian/patches/add_appdirs_to_vendored.patch and
      debian/patches/add_certifi_to_vendored.patch, incorporated upstream
    - Update debian/control and debian/rules to use python3-toml vice
      python3-pytoml
    - Update debian/control and debian/rules to add python3-resolvelib to
      packages that are wheeled (new upstream dependency/vendored module)
    - Update version requirements for python3-certifi. python3-distro,
      python3-packaging, python3-pyparsing, python3-requests, python3-idna,

