=== debian/tests/control ===
Tests: pip2-root.sh
Restrictions: allow-stderr, breaks-testbed, needs-internet, needs-root

Tests: pip2-user.sh
Restrictions: allow-stderr, breaks-testbed, needs-internet

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=823358
Tests: pip2-editable.sh
Restrictions: allow-stderr
